Subject: Re: which git commands is correponding to "svnlook diff -t" and "svnlook log -t"?

From: Mathias Lafeldt <[email-masked]>
Date: Tue, 02 Nov 2010 10:13:36 +0100

Matthieu Moy wrote:
> samilkarahan <[email-masked]> writes:
> 
>> Hi,
>>
>> I have developed pre-commit hook, but it only run for svn hook. 
>>
>> I want to run it for git hook,But I don't know git well like svn ,so 
>>
>> I haven't found corresponding git command to svn commands which are "svnlook
>> diff -t" and "svnlook log -t".
>>
>> these commands take two parameter in svn.
> 
> What do these commands do in SVN?
> 

$ svnlook help diff
diff: usage: svnlook diff REPOS_PATH

Print GNU-style diffs of changed files and properties.

Valid options:
  -r [--revision] ARG      : specify revision number ARG
  -t [--transaction] ARG   : specify transaction name ARG
  --no-diff-deleted        : do not print differences for deleted files
  --no-diff-added          : do not print differences for added files
  --diff-copy-from         : print differences against the copy source
  -x [--extensions] ARG    : Default: '-u'. When Subversion is invoking an
                             external diff program, ARG is simply passed
along
                             to the program. But when Subversion is
using its
                             default internal diff implementation, or when
                             Subversion is displaying blame annotations, ARG
                             could be any of the following:
                                -u (--unified):
                                   Output 3 lines of unified context.
                                -b (--ignore-space-change):
                                   Ignore changes in the amount of white
space.
                                -w (--ignore-all-space):
                                   Ignore all white space.
                                --ignore-eol-style:
                                   Ignore changes in EOL style

$ svnlook help log
log: usage: svnlook log REPOS_PATH

Print the log message.

Valid options:
  -r [--revision] ARG      : specify revision number ARG
  -t [--transaction] ARG   : specify transaction name ARG

Though I have no idea what "transaction" means here?

Apart from that, I guess "svnlook log" corresponds to "git log" and
"svnlook diff" to "git log -p".

-Mathias